Range-v3 Range algorithms, views, and actions for the Standard Library |

Public Member Functions | List of all members
ranges::v3::view::tokenizer_impl_fn Struct Reference
Inheritance diagram for ranges::v3::view::tokenizer_impl_fn:

## Public Member Functions
template<typename Rng , typename Regex >
tokenize_view< all_t< Rng >, detail::decay_t< Regex >, int > | operator() (Rng &&rng, Regex &&rex, int sub=0, std::regex_constants::match_flag_type flags=std::regex_constants::match_default) const
template<typename Rng , typename Regex >
tokenize_view< all_t< Rng >, detail::decay_t< Regex >, std::vector< int > > | operator() (Rng &&rng, Regex &&rex, std::vector< int > subs, std::regex_constants::match_flag_type flags=std::regex_constants::match_default) const
template<typename Rng , typename Regex >
tokenize_view< all_t< Rng >, detail::decay_t< Regex >, std::initializer_list< int > > | operator() (Rng &&rng, Regex &&rex, std::initializer_list< int > subs, std::regex_constants::match_flag_type flags=std::regex_constants::match_default) const
template<typename Regex >
auto | operator() (Regex &&rex, int sub=0, std::regex_constants::match_flag_type flags=std::regex_constants::match_default) const -> decltype(make_pipeable(std::bind(*this, std::placeholders::_1, bind_forward< Regex >(rex), std::move(sub), std::move(flags))))
template<typename Regex >
auto | operator() (Regex &&rex, std::vector< int > subs, std::regex_constants::match_flag_type flags=std::regex_constants::match_default) const -> decltype(make_pipeable(std::bind(*this, std::placeholders::_1, bind_forward< Regex >(rex), std::move(subs), std::move(flags))))
template<typename Regex >
auto | operator() (Regex &&rex, std::initializer_list< int > subs, std::regex_constants::match_flag_type flags=std::regex_constants::match_default) const -> decltype(make_pipeable(std::bind(*this, std::placeholders::_1, bind_forward< Regex >(rex), std::move(subs), std::move(flags))))